> ## Documentation Index
> Fetch the complete documentation index at: https://docs.y.uno/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Conversion Rate

This page will help you get started with Currency conversions.

For more information on how to use the currency conversion service, please refer to the [Currency conversion page](/reference/currency-conversion)  in the guides section.


## OpenAPI

````yaml openapi/conversion-rate/get-conversion-rate.json POST /currency-conversion
openapi: 3.1.0
info:
  title: currency-conversions
  version: 1.0.2
servers:
  - url: https://api-sandbox.y.uno/v1
security:
  - sec0: []
    sec1: []
paths:
  /currency-conversion:
    post:
      summary: Get Conversion Rate
      operationId: get-conversion-rate
      requestBody:
        content:
          application/json:
            schema:
              type: object
              required:
                - account_id
                - amount
                - provider_data
              properties:
                account_id:
                  type: string
                  description: >-
                    The unique identifier of the account. You find this
                    information on the [Yuno dashboard](https://dashboard.y.uno)
                    (UUID; 36 chars).
                amount:
                  type: object
                  description: Amount to be converted
                  required:
                    - value
                    - currency
                  properties:
                    value:
                      type: number
                      description: Amount to convert (must be equal or greater than 0).
                    currency:
                      type: string
                      description: >-
                        The currency used to make the payment ([ISO
                        4217](https://en.wikipedia.org/wiki/ISO_4217); 3 chars).
                    currency_conversion:
                      type: object
                      description: Information to make the conversion
                      required:
                        - cardholder_currency
                      properties:
                        cardholder_currency:
                          type: string
                          description: >-
                            The currency to make the conversion ([ISO
                            4217](https://en.wikipedia.org/wiki/ISO_4217); 3
                            chars).
                provider_data:
                  type: object
                  description: Provider information
                  required:
                    - id
                  properties:
                    id:
                      type: string
                      description: Identification of the provider
                      enum:
                        - CIBC
                        - MERCADO_PAGO
                payment_method:
                  type: object
                  description: >-
                    Payment method information. Provide either `token`,
                    `vaulted_token`, or `card`.
                  properties:
                    token:
                      type: string
                      description: Payment method token (UUID; 36 chars).
                    vaulted_token:
                      type: string
                      description: Vaulted payment method token (UUID; 36 chars).
                    card:
                      type: object
                      description: >-
                        Card information required for the currency conversion.
                        Only for PCI compliant merchants.
                      properties:
                        card_data:
                          type: object
                          description: Card data information
                          required:
                            - number
                            - holder_name
                            - expiration_month
                            - expiration_year
                          properties:
                            number:
                              type: string
                              description: >-
                                Card number without separators. Available for
                                PCI-certified merchants (MIN 8).
                            expiration_month:
                              type: integer
                              description: >-
                                Card expiration month (01-12). Available for
                                PCI-certified merchants (2 chars).
                              format: int32
                            expiration_year:
                              type: integer
                              description: >-
                                Card expiration year. Available for
                                PCI-certified merchants (4 chars).
                              format: int32
                            holder_name:
                              type: string
                              description: >-
                                Cardholder full name. Available for
                                PCI-certified merchants (MIN 3; MAX 26).
            examples:
              Example:
                value:
                  account_id: fe14c7c6-c75e-43b7-bdbe-4c87ad52c482
                  amount:
                    value: 10000
                    currency: COP
                    currency_conversion:
                      cardholder_currency: USD
                  provider_data:
                    id: CIBC
                  payment_method:
                    card:
                      card_data:
                        number: '4111111111111111'
                        holder_name: JOHN DOE
                        expiration_month: 12
                        expiration_year: 25
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 599cc714-9bb6-4a3c-8465-c360cd47e04e
                    amount:
                      value: 10000
                      currency: COP
                      currency_conversion:
                        cardholder_currency: USD
                        cardholder_amount: 2.58
                        rate: 3879.812207
                        provider_data:
                          id: CIBC
                          transaction_id: >-
                            274c4fc9a1e3c27625fc4d925e0331783c3c5c94358280158d3980e97ac66795a80970d48c176078f394106345c05215431bbc6260a6980db3a2e0b753db1a3f32d0c8adfc02c18794dc07ac1c13a14e581a3d78ba4b9c5afdae537f38cc495628239b7470a997cc8d5b51ae787603b64de3b19cea09f825f6fd13896656b75092bd7fe19a0560df29b94
                          response_code: '2000'
                          response_message: Successful
                          raw_response:
                            fxRateInquiryResponse:
                              localDate: 210
                              localTime: 180927
                              merchantID: '18695684'
                              rateEndTime: 1739212767659
                              ratePreferenceCode: R1
                              rateStartTime: 1739210967659
                              rateValidityPeriod: 30
                              rates:
                                - cardholderAmount: 2.58
                                  cardholderCurrency: '840'
                                  merchantAmount: 10000
                                  merchantCurrency: '170'
                                  rate: 3879.812207
                                  rateInquiryRef: >-
                                    274c4fc9a1e3c27625fc4d925e0331783c3c5c94358280158d3980e97ac66795a80970d48c176078f394106345c05215431bbc6260a6980db3a2e0b753db1a3f32d0c8adfc02c18794dc07ac1c13a14e581a3d78ba4b9c5afdae537f38cc495628239b7470a997cc8d5b51ae787603b64de3b19cea09f825f6fd13896656b75092bd7fe19a0560df29b94
                              responseCode: '2000'
                              responseMessage: Successful
                              sessionId: 2a587fa2-e7da-11ef-8b88-7e36493c761f
                              terminalID: CT000001
                              traceNumber: 3594
                    expired_at: '2025-02-10T18:39:27Z'
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: 599cc714-9bb6-4a3c-8465-c360cd47e04e
                  amount:
                    type: object
                    properties:
                      value:
                        type: integer
                        example: 10000
                        default: 0
                      currency:
                        type: string
                        example: COP
                      currency_conversion:
                        type: object
                        properties:
                          cardholder_currency:
                            type: string
                            example: USD
                          cardholder_amount:
                            type: number
                            example: 2.58
                            default: 0
                          rate:
                            type: number
                            example: 3879.812207
                            default: 0
                          provider_data:
                            type: object
                            properties:
                              id:
                                type: string
                                example: CIBC
                              transaction_id:
                                type: string
                                example: >-
                                  274c4fc9a1e3c27625fc4d925e0331783c3c5c94358280158d3980e97ac66795a80970d48c176078f394106345c05215431bbc6260a6980db3a2e0b753db1a3f32d0c8adfc02c18794dc07ac1c13a14e581a3d78ba4b9c5afdae537f38cc495628239b7470a997cc8d5b51ae787603b64de3b19cea09f825f6fd13896656b75092bd7fe19a0560df29b94
                              response_code:
                                type: string
                                example: '2000'
                              response_message:
                                type: string
                                example: Successful
                              raw_response:
                                type: object
                                properties:
                                  fxRateInquiryResponse:
                                    type: object
                                    properties:
                                      localDate:
                                        type: integer
                                        example: 210
                                        default: 0
                                      localTime:
                                        type: integer
                                        example: 180927
                                        default: 0
                                      merchantID:
                                        type: string
                                        example: '18695684'
                                      rateEndTime:
                                        type: integer
                                        example: 1739212767659
                                        default: 0
                                      ratePreferenceCode:
                                        type: string
                                        example: R1
                                      rateStartTime:
                                        type: integer
                                        example: 1739210967659
                                        default: 0
                                      rateValidityPeriod:
                                        type: integer
                                        example: 30
                                        default: 0
                                      rates:
                                        type: array
                                        items:
                                          type: object
                                          properties:
                                            cardholderAmount:
                                              type: number
                                              example: 2.58
                                              default: 0
                                            cardholderCurrency:
                                              type: string
                                              example: '840'
                                            merchantAmount:
                                              type: integer
                                              example: 10000
                                              default: 0
                                            merchantCurrency:
                                              type: string
                                              example: '170'
                                            rate:
                                              type: number
                                              example: 3879.812207
                                              default: 0
                                            rateInquiryRef:
                                              type: string
                                              example: >-
                                                274c4fc9a1e3c27625fc4d925e0331783c3c5c94358280158d3980e97ac66795a80970d48c176078f394106345c05215431bbc6260a6980db3a2e0b753db1a3f32d0c8adfc02c18794dc07ac1c13a14e581a3d78ba4b9c5afdae537f38cc495628239b7470a997cc8d5b51ae787603b64de3b19cea09f825f6fd13896656b75092bd7fe19a0560df29b94
                                      responseCode:
                                        type: string
                                        example: '2000'
                                      responseMessage:
                                        type: string
                                        example: Successful
                                      sessionId:
                                        type: string
                                        example: 2a587fa2-e7da-11ef-8b88-7e36493c761f
                                      terminalID:
                                        type: string
                                        example: CT000001
                                      traceNumber:
                                        type: integer
                                        example: 3594
                                        default: 0
                  expired_at:
                    type: string
                    example: '2025-02-10T18:39:27Z'
        '400':
          description: '400'
          content:
            application/json:
              examples:
                Result:
                  value: {}
              schema:
                type: object
                properties: {}
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: X-Public-Api-Key
      x-default: X-Public-Api-Key
    sec1:
      type: apiKey
      in: header
      name: X-Private-Secret-Key
      x-default: X-Private-Secret-Key

````